Name:		megaraid_sas
Version:    07.705.04.00
Release:    1
Summary:	RHEL Driver Update Program package

Group:		System/Kernel
License:	GPLv2
URL: 		http://www.lsilogic.com
Distribution: 	LSI Corporation
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.files
Source2:	%{name}.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	%kernel_module_package_buildreqs

%global kernel_version	`uname -r`
%kernel_module_package -f %{SOURCE1} default 

%description
LSI MegaRAID SAS HBA drivers 

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
	make -C %{kernel_source $flavor} modules_install \
		M=$PWD/obj/$flavor
	# Cleanup unnecessary kernel-generated module dependency files.
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done

sed -e s/this_weakupdate/`uname -r | cut -f1 -d-`/ \
../../SOURCES/megaraid_sas.conf > \
../../SOURCES/megaraid_sas.a
mv ../../SOURCES/megaraid_sas.a ../../SOURCES/megaraid_sas.conf

install -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/etc/depmod.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
